/* $Id: app.h,v 1.1 1997/11/30 22:55:35 wtcorrea Exp $ */

#ifndef APP_INCLUDED
#define APP_INCLUDED

enum {
    VIEW_POINTS = 1,
    VIEW_WIREFRAME,
    VIEW_FLAT,
    VIEW_GOURAUD,
    VIEW_PHONG,
    USEGL_OFF,
    USEGL_ON,
    CULLING_OFF,
    CULLING_ON,
    HEADLIGHT_OFF,
    HEADLIGHT_ON,
    PROJ_PERSPECTIVE,
    PROJ_ORTHOGONAL
};

typedef struct {
    int w, h;                   /* width and height */
    int x1, y1;                 /* location of last button1 click */
    int nclicks1;               /* number of button1 clicks */
    int view;                   /* kind of view */
    int usegl;                  /* using gl off/on */
    int culling;                /* backface culling off/on */
    int headlight;              /* headlight off/on */
    int projection;             /* kind of projection */
    int redraw;                 /* redraw the screen? */
    char *model;		/* model file name */
    int r, g, b;		/* background color */
} app_t;

void app_b1_click(int x, int y, int s);
void app_b1_dclick(int x, int y, int s);
void app_b1_motion(int x, int y, int s);
void app_b1_release(int x, int y, int s);
void app_config(int w, int h);
void app_motion(int x, int y, int s);
void app_redraw(void);
void app_set_model(char *filename);

extern app_t app;

#endif
