/* $Id: gldriver.h,v 1.1 1997/11/30 22:55:35 wtcorrea Exp $ */

#ifndef GLDRIVER_INCLUDED
#define GLDRIVER_INCLUDED

void gl_traversal_start(void);

void gl_traversal_end(void);

void gl_separator_start(void);

void gl_separator_end(void);

void gl_camera(
     float *position,		/* x,y,z */
     float *orientation,	/* x,y,z,theta */
     float near_distance,
     float far_distance,
     float height_angle);

void gl_point_light(
     float intensity,
     float *color,		/* r,g,b */
     float *location);		/* x,y,z */

void gl_material(
     float *ambient_color,	/* r,g,b */
     float *diffuse_color,	/* r,g,b */
     float *specular_color,	/* r,g,b */
     float *emissive_color,	/* r,g,b */
     float shininess,
     float transparency);

void gl_scale(float x, float y, float z);

void gl_translation(float x, float y, float z);

void gl_rotation(float x, float y, float z, float theta);

void gl_label(char *label);

void gl_triangle(
     float *v0,			/* x,y,z */
     float *v1,
     float *v2,
     float *n0,			/* normal for v0 */
     float *n1,
     float *n2);

void gl_cube(float width, float height, float depth);

void gl_sphere(float radius);

void gl_cone(float bottom_radius, float height);

void gl_cylinder(float radius, float height);

#endif
