/* $Id: graphics.h,v 1.1 1997/11/30 22:55:35 wtcorrea Exp $ */

#ifndef GRAPHICS_INCLUDED
#define GRAPHICS_INCLUDED

void gr_traversal_start(void);

void gr_traversal_end(void);

void gr_separator_start(void);

void gr_separator_end(void);

void gr_camera(
     float *position,		/* x,y,z */
     float *orientation,	/* x,y,z,theta */
     float near_distance,
     float far_distance,
     float height_angle);

void gr_point_light(
     float intensity,
     float *color,		/* r,g,b */
     float *location);		/* x,y,z */

void gr_material(
     float *ambient_color,	/* r,g,b */
     float *diffuse_color,	/* r,g,b */
     float *specular_color,	/* r,g,b */
     float *emissive_color,	/* r,g,b */
     float shininess,
     float transparency);

void gr_scale(float x, float y, float z);

void gr_translation(float x, float y, float z);

void gr_rotation(float x, float y, float z, float theta);

void gr_label(char *label);

void gr_triangle(
     float *v0,			/* x,y,z */
     float *v1,
     float *v2,
     float *n0,			/* normal for v0 */
     float *n1,
     float *n2);

void gr_cube(float width, float height, float depth);

void gr_sphere(float radius);

void gr_cone(float bottom_radius, float height);

void gr_cylinder(float radius, float height);

#endif
